<?php
/**
 * @file
 * bcd_communities.openlayers_maps.inc
 */

/**
 * Implements hook_openlayers_maps().
 */
function bcd_communities_openlayers_maps() {
  $export = array();

  $openlayers_maps = new stdClass();
  $openlayers_maps->disabled = FALSE; /* Edit this to true to make a default openlayers_maps disabled initially */
  $openlayers_maps->api_version = 1;
  $openlayers_maps->name = 'local';
  $openlayers_maps->title = 'Local area';
  $openlayers_maps->description = 'Communities and facilities near the one currently being viewed';
  $openlayers_maps->data = array(
    'width' => '318px',
    'height' => '200px',
    'image_path' => 'profiles/bahai_directory/modules/openlayers/themes/default_dark/img/',
    'css_path' => 'profiles/bahai_directory/modules/openlayers/themes/default_dark/style.css',
    'proxy_host' => '',
    'hide_empty_map' => 0,
    'center' => array(
      'initial' => array(
        'centerpoint' => '-87.8713974347626, 41.818817530900986',
        'zoom' => '9',
      ),
      'restrict' => array(
        'restrictextent' => 0,
        'restrictedExtent' => '',
      ),
    ),
    'behaviors' => array(
      'openlayers_behavior_attribution' => array(
        'separator' => '',
      ),
      'openlayers_behavior_navigation' => array(
        'zoomWheelEnabled' => 0,
        'zoomBoxEnabled' => 0,
        'documentDrag' => 0,
      ),
      'openlayers_behavior_panzoom' => array(),
      'openlayers_behavior_popup' => array(
        'layers' => array(
          'locality_map_local_seasonal' => 'locality_map_local_seasonal',
          'locality_map_local_communities' => 'locality_map_local_communities',
          'locality_map_local_centers' => 'locality_map_local_centers',
          'locality_map_local_temple' => 'locality_map_local_temple',
          'locality_map_local_facilities' => 'locality_map_local_facilities',
        ),
        'panMapIfOutOfView' => 1,
        'keepInMap' => 0,
      ),
    ),
    'default_layer' => 'google_normal',
    'layers' => array(
      'google_normal' => 'google_normal',
      'locality_map_local_communities' => 'locality_map_local_communities',
      'locality_map_local_seasonal' => 'locality_map_local_seasonal',
      'locality_map_local_centers' => 'locality_map_local_centers',
      'locality_map_local_temple' => 'locality_map_local_temple',
      'locality_map_local_facilities' => 'locality_map_local_facilities',
    ),
    'layer_weight' => array(
      'locality_map_local_communities' => '0',
      'locality_map_local_seasonal' => '0',
      'locality_map_local_centers' => '0',
      'locality_map_local_temple' => '0',
      'locality_map_local_facilities' => '0',
      'states_state_temple' => '0',
      'states_state_facilities' => '0',
      'openlayers_geojson_picture_this' => '0',
      'states_state_localities' => '0',
      'states_state_centers' => '0',
      'states_state_seasonal' => '0',
      'openlayers_kml_example' => '0',
    ),
    'layer_styles' => array(
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'states_state_localities' => '0',
      'states_state_centers' => '0',
      'states_state_seasonal' => '0',
      'states_state_facilities' => '0',
      'states_state_temple' => '0',
      'locality_map_local_seasonal' => 'default_marker_blue',
      'locality_map_local_communities' => 'circle',
      'locality_map_local_centers' => 'default_marker_gold',
      'locality_map_local_temple' => 'bcd_temple',
      'locality_map_local_facilities' => 'default_marker_green',
    ),
    'layer_styles_select' => array(
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'states_state_localities' => '0',
      'states_state_centers' => '0',
      'states_state_seasonal' => '0',
      'states_state_facilities' => '0',
      'states_state_temple' => '0',
      'locality_map_local_seasonal' => 'default_marker_blue',
      'locality_map_local_communities' => 'circle',
      'locality_map_local_centers' => 'default_marker_gold',
      'locality_map_local_temple' => 'bcd_temple',
      'locality_map_local_facilities' => 'default_marker_green',
    ),
    'layer_activated' => array(
      'locality_map_local_seasonal' => 'locality_map_local_seasonal',
      'locality_map_local_communities' => 'locality_map_local_communities',
      'locality_map_local_centers' => 'locality_map_local_centers',
      'locality_map_local_temple' => 'locality_map_local_temple',
      'locality_map_local_facilities' => 'locality_map_local_facilities',
      'openlayers_kml_example' => 0,
      'openlayers_geojson_picture_this' => 0,
      'states_state_localities' => 0,
      'states_state_centers' => 0,
      'states_state_seasonal' => 0,
      'states_state_facilities' => 0,
      'states_state_temple' => 0,
    ),
    'layer_switcher' => array(
      'locality_map_local_seasonal' => 0,
      'locality_map_local_communities' => 0,
      'locality_map_local_centers' => 0,
      'locality_map_local_temple' => 0,
      'locality_map_local_facilities' => 0,
      'openlayers_kml_example' => 0,
      'openlayers_geojson_picture_this' => 0,
      'states_state_localities' => 0,
      'states_state_centers' => 0,
      'states_state_seasonal' => 0,
      'states_state_facilities' => 0,
      'states_state_temple' => 0,
    ),
    'projection' => 'EPSG:3857',
    'displayProjection' => 'EPSG:4326',
    'styles' => array(
      'default' => 'default_marker_red',
      'select' => 'default_marker_red',
      'temporary' => 'default',
    ),
  );
  $export['local'] = $openlayers_maps;

  $openlayers_maps = new stdClass();
  $openlayers_maps->disabled = FALSE; /* Edit this to true to make a default openlayers_maps disabled initially */
  $openlayers_maps->api_version = 1;
  $openlayers_maps->name = 'nearby';
  $openlayers_maps->title = 'Visitor';
  $openlayers_maps->description = 'A list of communities and facilities in a given state';
  $openlayers_maps->data = array(
    'width' => '560px',
    'height' => '480px',
    'image_path' => 'profiles/bahai_directory/modules/openlayers/themes/default_dark/img/',
    'css_path' => 'profiles/bahai_directory/modules/openlayers/themes/default_dark/style.css',
    'proxy_host' => '',
    'hide_empty_map' => 0,
    'center' => array(
      'initial' => array(
        'centerpoint' => '-87.8713974347626, 41.818817530900986',
        'zoom' => '9',
      ),
      'restrict' => array(
        'restrictextent' => 0,
        'restrictedExtent' => '',
      ),
    ),
    'behaviors' => array(
      'openlayers_behavior_attribution' => array(
        'separator' => '',
      ),
      'openlayers_behavior_navigation' => array(
        'zoomWheelEnabled' => 0,
        'zoomBoxEnabled' => 0,
        'documentDrag' => 0,
      ),
      'openlayers_behavior_panzoombar' => array(
        'zoomWorldIcon' => 0,
        'panIcons' => 1,
      ),
      'openlayers_behavior_popup' => array(
        'layers' => array(
          'nearby_map_local_communities' => 'nearby_map_local_communities',
          'nearby_map_local_centers' => 'nearby_map_local_centers',
          'nearby_map_local_facilities' => 'nearby_map_local_facilities',
          'nearby_map_local_seasonal' => 'nearby_map_local_seasonal',
          'nearby_map_local_temple' => 'nearby_map_local_temple',
        ),
        'panMapIfOutOfView' => 1,
        'keepInMap' => 0,
      ),
    ),
    'default_layer' => 'google_normal',
    'layers' => array(
      'google_normal' => 'google_normal',
      'nearby_map_local_communities' => 'nearby_map_local_communities',
      'nearby_map_local_centers' => 'nearby_map_local_centers',
      'nearby_map_local_facilities' => 'nearby_map_local_facilities',
      'nearby_map_local_temple' => 'nearby_map_local_temple',
      'nearby_map_local_seasonal' => 'nearby_map_local_seasonal',
    ),
    'layer_weight' => array(
      'nearby_map_local_communities' => '-1',
      'states_state_localities' => '-1',
      'locality_map_local_seasonal' => '0',
      'locality_map_local_temple' => '0',
      'nearby_map_local_centers' => '0',
      'nearby_map_local_facilities' => '0',
      'nearby_map_local_temple' => '0',
      'nearby_map_local_seasonal' => '0',
      'locality_map_local_facilities' => '0',
      'locality_map_local_centers' => '0',
      'states_state_centers' => '0',
      'openlayers_geojson_picture_this' => '0',
      'states_state_seasonal' => '0',
      'states_state_facilities' => '0',
      'locality_map_local_communities' => '0',
      'states_state_temple' => '0',
      'openlayers_kml_example' => '0',
    ),
    'layer_styles' => array(
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'states_state_localities' => '0',
      'states_state_centers' => 'default_marker_gold',
      'states_state_seasonal' => 'default_marker_blue',
      'states_state_facilities' => 'default_marker_green',
      'states_state_temple' => 'bcd_temple',
      'locality_map_local_communities' => '0',
      'locality_map_local_centers' => '0',
      'locality_map_local_facilities' => '0',
      'locality_map_local_seasonal' => '0',
      'locality_map_local_temple' => '0',
      'nearby_map_local_communities' => 'circle',
      'nearby_map_local_centers' => 'default_marker_gold',
      'nearby_map_local_facilities' => 'default_marker_green',
      'nearby_map_local_seasonal' => 'default_marker_blue',
      'nearby_map_local_temple' => 'bcd_temple',
    ),
    'layer_styles_select' => array(
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'states_state_localities' => '0',
      'states_state_centers' => 'default_marker_gold',
      'states_state_seasonal' => 'default_marker_blue',
      'states_state_facilities' => 'default_marker_green',
      'states_state_temple' => 'bcd_temple',
      'locality_map_local_communities' => '0',
      'locality_map_local_centers' => '0',
      'locality_map_local_facilities' => '0',
      'locality_map_local_seasonal' => '0',
      'locality_map_local_temple' => '0',
      'nearby_map_local_communities' => 'circle',
      'nearby_map_local_centers' => 'default_marker_gold',
      'nearby_map_local_facilities' => 'default_marker_green',
      'nearby_map_local_seasonal' => 'default_marker_blue',
      'nearby_map_local_temple' => 'bcd_temple',
    ),
    'layer_activated' => array(
      'nearby_map_local_communities' => 'nearby_map_local_communities',
      'nearby_map_local_centers' => 'nearby_map_local_centers',
      'nearby_map_local_facilities' => 'nearby_map_local_facilities',
      'nearby_map_local_seasonal' => 'nearby_map_local_seasonal',
      'nearby_map_local_temple' => 'nearby_map_local_temple',
      'openlayers_kml_example' => 0,
      'openlayers_geojson_picture_this' => 0,
      'states_state_localities' => 0,
      'states_state_centers' => 0,
      'states_state_seasonal' => 0,
      'states_state_facilities' => 0,
      'states_state_temple' => 0,
      'locality_map_local_communities' => 0,
      'locality_map_local_centers' => 0,
      'locality_map_local_facilities' => 0,
      'locality_map_local_seasonal' => 0,
      'locality_map_local_temple' => 0,
    ),
    'layer_switcher' => array(
      'nearby_map_local_communities' => 0,
      'nearby_map_local_centers' => 0,
      'nearby_map_local_facilities' => 0,
      'nearby_map_local_seasonal' => 0,
      'nearby_map_local_temple' => 0,
      'openlayers_kml_example' => 0,
      'openlayers_geojson_picture_this' => 0,
      'states_state_localities' => 0,
      'states_state_centers' => 0,
      'states_state_seasonal' => 0,
      'states_state_facilities' => 0,
      'states_state_temple' => 0,
      'locality_map_local_communities' => 0,
      'locality_map_local_centers' => 0,
      'locality_map_local_facilities' => 0,
      'locality_map_local_seasonal' => 0,
      'locality_map_local_temple' => 0,
    ),
    'projection' => 'EPSG:3857',
    'displayProjection' => 'EPSG:4326',
    'styles' => array(
      'default' => 'default_marker_red',
      'select' => 'default_marker_red',
      'temporary' => 'default',
    ),
  );
  $export['nearby'] = $openlayers_maps;

  $openlayers_maps = new stdClass();
  $openlayers_maps->disabled = FALSE; /* Edit this to true to make a default openlayers_maps disabled initially */
  $openlayers_maps->api_version = 1;
  $openlayers_maps->name = 'state';
  $openlayers_maps->title = 'State';
  $openlayers_maps->description = 'A list of communities and facilities in a given state';
  $openlayers_maps->data = array(
    'width' => '560px',
    'height' => '480px',
    'image_path' => 'profiles/bahai_directory/modules/openlayers/themes/default_dark/img/',
    'css_path' => 'profiles/bahai_directory/modules/openlayers/themes/default_dark/style.css',
    'proxy_host' => '',
    'hide_empty_map' => 0,
    'center' => array(
      'initial' => array(
        'centerpoint' => '-87.8713974347626, 41.818817530900986',
        'zoom' => '9',
      ),
      'restrict' => array(
        'restrictextent' => 0,
        'restrictedExtent' => '',
      ),
    ),
    'behaviors' => array(
      'openlayers_behavior_attribution' => array(
        'separator' => '',
      ),
      'openlayers_behavior_navigation' => array(
        'zoomWheelEnabled' => 0,
        'zoomBoxEnabled' => 0,
        'documentDrag' => 0,
      ),
      'openlayers_behavior_panzoombar' => array(
        'zoomWorldIcon' => 0,
        'panIcons' => 1,
      ),
      'openlayers_behavior_popup' => array(
        'layers' => array(
          'states_state_localities' => 'states_state_localities',
          'states_state_seasonal' => 'states_state_seasonal',
          'states_state_facilities' => 'states_state_facilities',
          'states_state_centers' => 'states_state_centers',
          'states_state_temple' => 'states_state_temple',
        ),
        'panMapIfOutOfView' => 1,
        'keepInMap' => 0,
      ),
    ),
    'default_layer' => 'google_normal',
    'layers' => array(
      'google_normal' => 'google_normal',
      'states_state_localities' => 'states_state_localities',
      'states_state_seasonal' => 'states_state_seasonal',
      'states_state_facilities' => 'states_state_facilities',
      'states_state_centers' => 'states_state_centers',
      'states_state_temple' => 'states_state_temple',
    ),
    'layer_weight' => array(
      'states_state_localities' => '-1',
      'states_state_seasonal' => '0',
      'states_state_facilities' => '0',
      'states_state_centers' => '0',
      'states_state_temple' => '0',
      'locality_map_local_temple' => '0',
      'locality_map_local_seasonal' => '0',
      'openlayers_geojson_picture_this' => '0',
      'locality_map_local_communities' => '0',
      'locality_map_local_centers' => '0',
      'locality_map_local_facilities' => '0',
      'openlayers_kml_example' => '0',
    ),
    'layer_styles' => array(
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'locality_map_local_communities' => '0',
      'locality_map_local_centers' => '0',
      'locality_map_local_facilities' => '0',
      'locality_map_local_seasonal' => '0',
      'locality_map_local_temple' => '0',
      'states_state_localities' => 'circle',
      'states_state_seasonal' => 'default_marker_blue',
      'states_state_facilities' => 'default_marker_green',
      'states_state_centers' => 'default_marker_gold',
      'states_state_temple' => 'bcd_temple',
    ),
    'layer_styles_select' => array(
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'locality_map_local_communities' => '0',
      'locality_map_local_centers' => '0',
      'locality_map_local_facilities' => '0',
      'locality_map_local_seasonal' => '0',
      'locality_map_local_temple' => '0',
      'states_state_localities' => 'circle',
      'states_state_seasonal' => 'default_marker_blue',
      'states_state_facilities' => 'default_marker_green',
      'states_state_centers' => 'default_marker_gold',
      'states_state_temple' => 'bcd_temple',
    ),
    'layer_activated' => array(
      'states_state_localities' => 'states_state_localities',
      'states_state_seasonal' => 'states_state_seasonal',
      'states_state_facilities' => 'states_state_facilities',
      'states_state_centers' => 'states_state_centers',
      'states_state_temple' => 'states_state_temple',
      'openlayers_kml_example' => 0,
      'openlayers_geojson_picture_this' => 0,
      'locality_map_local_communities' => 0,
      'locality_map_local_centers' => 0,
      'locality_map_local_facilities' => 0,
      'locality_map_local_seasonal' => 0,
      'locality_map_local_temple' => 0,
    ),
    'layer_switcher' => array(
      'states_state_localities' => 0,
      'states_state_seasonal' => 0,
      'states_state_facilities' => 0,
      'states_state_centers' => 0,
      'states_state_temple' => 0,
      'openlayers_kml_example' => 0,
      'openlayers_geojson_picture_this' => 0,
      'locality_map_local_communities' => 0,
      'locality_map_local_centers' => 0,
      'locality_map_local_facilities' => 0,
      'locality_map_local_seasonal' => 0,
      'locality_map_local_temple' => 0,
    ),
    'projection' => 'EPSG:3857',
    'displayProjection' => 'EPSG:4326',
    'styles' => array(
      'default' => 'default_marker_red',
      'select' => 'default_marker_red',
      'temporary' => 'default',
    ),
  );
  $export['state'] = $openlayers_maps;

  return $export;
}
